<component name="ProjectRunConfigurationManager">
  <configuration default="false" name="Linters &amp; Tests" type="tests" factoryName="Unittests">
    <module name="_template" />
    <option name="ENV_FILES" value="" />
    <option name="INTERPRETER_OPTIONS" value="" />
    <option name="PARENT_ENVS" value="true" />
    <option name="SDK_HOME" value="/usr/local/bin/python3" />
    <option name="SDK_NAME" value="Remote Python 3.11.7 Docker Compose (iterator_app)" />
    <option name="WORKING_DIRECTORY" value="" />
    <option name="IS_MODULE_SDK" value="false" />
    <option name="ADD_CONTENT_ROOTS" value="true" />
    <option name="ADD_SOURCE_ROOTS" value="true" />
    <EXTENSION ID="DockerContainerSettingsRunConfigurationExtension">
      <option name="envVars">
        <list />
      </option>
      <option name="extraHosts">
        <list />
      </option>
      <option name="links">
        <list />
      </option>
      <option name="networkDisabled" value="false" />
      <option name="networkMode" value="bridge" />
      <option name="portBindings">
        <list />
      </option>
      <option name="publishAllPorts" value="false" />
      <option name="runCliOptions" value="--entrypoint= --rm" />
      <option name="version" value="2" />
      <option name="volumeBindings">
        <list>
          <DockerVolumeBindingImpl>
            <option name="containerPath" value="/opt/project" />
            <option name="editable" value="true" />
            <option name="hostPath" value="$PROJECT_DIR$" />
            <option name="readOnly" value="false" />
          </DockerVolumeBindingImpl>
        </list>
      </option>
    </EXTENSION>
    <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
    <option name="_new_pattern" value="&quot;&quot;" />
    <option name="_new_additionalArguments" value="&quot;discover tests&quot;" />
    <option name="_new_target" value="&quot;&quot;" />
    <option name="_new_targetType" value="&quot;CUSTOM&quot;" />
    <method v="2">
      <option name="ToolBeforeRunTask" enabled="true" actionId="Tool_Linters_flake8" />
      <option name="ToolBeforeRunTask" enabled="true" actionId="Tool_Linters_mypy" />
      <option name="ToolBeforeRunTask" enabled="true" actionId="Tool_Linters_pylint" />
    </method>
  </configuration>
</component>